require 'osu_dummy/version'

module OSU
  module Dummy
    def self.emplid
      rand(10**8).to_s.rjust(8, '0')
    end

    def self.strm
      century = [0, 1].sample
      decade = rand(100).to_s.rjust(2, '0')

      possible_terms = century.zero? ? [0, 2, 4, 8] : [2, 4, 8]
      term = possible_terms.sample

      [century, decade, term].join
    end
  end
end
